/******************************************************************************
*  Compilation:  javac PrintEnergy.java
*  Execution:    java PrintEnergy input.png
*  Dependencies: SeamCarver.java
*                
*
*  Read image from file specified as command line argument.
*  Print energy of each pixel as calculated by SeamCarver object. 
* 
******************************************************************************/


public class PrintEnergy {
  
  public static void main(String[] args) {
    Picture picture = new Picture(args[0]);
    System.out.printf("%d-by-%d image\n", 
      picture.width(), picture.height());
    
    SeamCarver sc = new SeamCarver(picture);
    picture.show();
    
    System.out.printf("Printing energy calculated for each pixel.\n");        
    
    System.out.println("sc" + sc.height() + " " + sc.width());
    
    for (int row = 0; row < sc.height(); row++) {
      for (int col = 0; col < sc.width(); col++)
        System.out.printf("%9.0f \n", sc.energy(col, row));
      System.out.println();
    }
    
    System.out.println("Done");
  }
  
}
