/**************************************************************************
 *  Compilation:  javac ShowEnergy.java
 *  Execution:    java ShowEnergy input.png
 *  Dependencies: SeamCarver.java SCUtility.java
 *                
 *  Read image from file specified as command-line argument. 
 *  Show original image (useful only if image is large enough).
 *
 *  % java ShowEnergy HJoceanSmall.png
 *
 **************************************************************************/

public class ShowEnergy {

    public static void main(String[] args) {
        Picture picture = new Picture(args[0]);
        System.out.printf("%d-by-%d image\n", picture.width(), 
                                              picture.height());
        picture.show();        
        SeamCarver sc = new SeamCarver(picture);
        
        System.out.printf("Displaying energy calculated for each pixel.\n");
        SCUtility.showEnergy(sc);

    }

}
